org.apache.felix.utils.properties

## Class InterpolationHelper.BundleContextSubstitutionCallback

- java.lang.Object
- - org.apache.felix.utils.properties.InterpolationHelper.BundleContextSubstitutionCallback

All Implemented Interfaces:
  InterpolationHelper.SubstitutionCallback

Enclosing class:
  InterpolationHelper

    public static class InterpolationHelper.BundleContextSubstitutionCallback
    extends Object
    implements InterpolationHelper.SubstitutionCallback

### Constructor Summary

Constructors
Constructor and Description
`BundleContextSubstitutionCallback(org.osgi.framework.BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getValue(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleContextSubstitutionCallback

    public BundleContextSubstitutionCallback(org.osgi.framework.BundleContext context)

### Method Detail

#### getValue

    public String getValue(String key)

Specified by:
  `getValue` in interface `InterpolationHelper.SubstitutionCallback`